### Function

# Atk TextAttribute get_value

#### Declaration [src]

    const gchar*
    atk_text_attribute_get_value (
      AtkTextAttribute attr,
      gint index_
    )

#### Description [src]

Gets the value for the index of the `AtkTextAttribute`.

#### Parameters

`attr`

  Type: `AtkTextAttribute`

  The `AtkTextAttribute` for which a value is required.

`index_`

  Type: `gint`

  The index of the required value.

#### Return value

Type: `const gchar*`

A string containing the value; this string should not be freed; `NULL` is returned if there are no values maintained for the attr value.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.